Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleInt Class Reference

Class to handle a flexible int type reference method there is more than one. More...

## Public Member Functions
| FlexibleInt ()
| FlexibleInt default constructor More...
| FlexibleInt (int value)
| FlexibleInt constructor More...
| FlexibleInt (IntParameterReference parameter)
| FlexibleInt constructor More...
| FlexibleInt (int minRange, int maxRange)
| FlexibleInt constructor More...
| FlexibleInt (InputSlotInt slot)
| FlexibleInt constructor More...

## Static Public Member Functions
static | operator int (FlexibleInt flexible)
| Cast FlexibleInt to int. More...
static | operator FlexibleInt (int value)
| Cast int to FlexibleInt. More...

## Properties
FlexiblePrimitiveType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
int | value`[get]`
| It returns a value More...
InputSlotInt | slot`[get]`
| It returns a slot More...

## Detailed Description

Class to handle a flexible int type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleInt | ( |  | ) |

FlexibleInt default constructor

FlexibleInt | ( | int | value | ) |

FlexibleInt constructor

Parameters

  value | Value

FlexibleInt | ( | IntParameterReference | parameter | ) |

FlexibleInt constructor

Parameters

  parameter | Parameter

FlexibleInt | ( | int | minRange,
|  | int | maxRange
| ) |  |

FlexibleInt constructor

Parameters

  minRange | Minimum range.
  maxRange | Maximum range.

FlexibleInt | ( | InputSlotInt | slot | ) |

FlexibleInt constructor

Parameters

  slot | Slot

## Member Function Documentation

static operator FlexibleInt | ( | int | value | ) |
| explicit static

Cast int to FlexibleInt.

Parameters

  value | int

static operator int | ( | FlexibleInt | flexible | ) |
| explicit static

Cast FlexibleInt to int.

Parameters

  flexible | FlexibleInt

## Property Documentation

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

InputSlotInt slot
| get

It returns a slot

FlexiblePrimitiveType type
| get

It returns a type

int value
| get

It returns a value